petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGAMGSetThreshold

Relative threshold to use for dropping edges in aggregation graph

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetThreshold(PC pc, PetscReal n)

Not collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| threshold | - the threshold value, 0.0 means keep all nonzero entries in the graph; negative means keep even zero entries in the graph Many br

### Options Database Key

-pc_gamg_threshold <threshold> - Many br Many br

### See Also

()

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages